@import url('https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=League+Gothic&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    
}

:root{
    --bgblue: #0C3157;
    --bgblack: #212425;
    --bglightblueshade: #8accff;
    --bglightblue: #E0F1FF;
    --bgorange: #fa6129;
}

#wrapper{
    width: 100vw;
    height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
    font-family: 'poppins';
}

@keyframes web-loading-LR {
    0%{
        transform: translateX(-2000px);
    }

    50%{
        transform: translateX(-1000px);
    }

    100%{
        transform: translateX(0px);
    }
}

@keyframes web-loading-RL {
    0%{
        transform: translateX(2000px);
    }

    50%{
        transform: translateX(1000px);
    }

    100%{
        transform: translateX(0px);
    }
}

.container{
    width: 90%;
    margin: 0 auto;
}


.whatsapp-btn a{
    position: absolute; 
    bottom: 30px; 
    right: 40px; 
    z-index: 100; 
    transition: transfrom 0.3s;
}

.whatsapp-btn a i{
    width: 50px;
}

.whatsapp-btn:hover a{
    transform: scale(1.2);
}


/* ------------------------------------------- Nav Bar -------------------------------------------------- */

.dropdown-nav-items{
    display: none;
}

nav{
    display: flex;
    padding: 20px 0;
    justify-content: space-between;
}

.nav-logo img{
    width: 90px;
}

.nav-items{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    font-weight: 400;
    font-size: 18px;
}


.nav-items div a{
    color: var(--bgblack);
    text-decoration: none;
}

.nav-items div a:hover{
    color: var(--bgorange);
    transition-duration: 0.5s;
}

.button{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}


.get-a-quote{
    width: fit-content;
    background-color: var(--bgblue);
    text-decoration: none;
    color: #FFFFFF;
    font-size: 1rem;
    padding: 0.5rem 1.5rem;
    box-shadow: 5px 6px 7px #0000003f;
    font-weight: 500;
    cursor: pointer;
    transition: all 0.8s;
    position: relative;
    z-index: 1;
    border: none;
    border-radius: 2rem;
}

.get-a-quote::before{
    content: "";
    position: absolute;
    background-color: var(--bgorange);
    border-radius: 2rem;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    transform: scaleX(0);
    transform-origin: left;
    transition: all 0.8s
}

.get-a-quote:hover::before {
    transform: scaleX(1);
}

/* ---------------------------------------------- Hero Section -------------------------------------------- */

.hero-section{
    display: flex;
    align-items: center;
    margin-top: 30px;
    justify-content: space-between;
    font-family: 'League Gothic';
}

.hero-text{
    width: 40%;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 1.5rem;
    animation-name: web-loading-LR;
    animation-duration: 2s;
    animation-delay: 0s;
    animation-timing-function: ease-out;
}


.hero-text h1{
    font-weight: 300;
    font-size: 55px;
    letter-spacing: 3px;
}

.typewriting-text{
    font-size: 55px;
    font-weight: 400;
    letter-spacing: 2px;
}

.agenda{
    color: var(--bgblue);
}

.untyped-text{
    color: var(--bgblack);
}

.hero-text h2{
    color: #212425CC;
    font-weight: 400;
    font-size: 35px;
}

.btn-hero{
    font-size: 20px;
}

.image{
    display: flex;
    justify-content: end;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    width: 60%;
    animation-name: web-loading-RL;
    animation-duration: 2s;
    animation-delay: 0s;
    animation-timing-function: ease-out;
}

.exca-image{
    width: 38%;
    height: 300px;
    border-bottom-left-radius: 32px;
    border-top-right-radius: 32px;
}


/* ----------------------------------------------- Modal Code ------------------------------------------- */

.modal-container{
    position: fixed;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    border-radius: 16px;
    background-color: var(--bglightblue);
    backdrop-filter: blur(10px);
    transition: 0.5s ease-in-out;
    padding: 24px 32px;
    z-index: 1;
    scale: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 600px;
     animation-name: get-a-quote-ani; 
    animation-duration: 4s;
    animation-iteration-count: linear;
}

@keyframes get-a-quote-ani{
    0%{
        scale: 0;
    }

    20%{
        scale: 1;
    }

    70%{
        scale: 1;
    }

    100%{
        scale: 0;
    }
}

.modal-header{
    margin-bottom: 20px;
}

.modal-head{
    font-size: 66px;
    font-weight: 400;
    color: var(--bgblack);
    font-family: 'League Gothic';
    letter-spacing: 2px;
}

#modal-close-icon{
    cursor: pointer;
}


.form, #form{
    width: 100%;
}

#form {
    display: flex;
    flex-direction: column;
    gap: 16px;
    
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}


#form input{
    width: 100%;
    padding: 15px 10px;
    border-radius: 16px;
    border: 0.5px solid #212425B2;
    outline: none;
    font-size: 18px;
    transition: background 0.5s;
}

#form .input-area:hover{
    background-color: #eeeeee;
}

#form textarea{
    width: 100%;
    padding: 15px 10px;
    border-radius: 16px;
    border: 0.5px solid #212425B2;
    outline: none;
    font-size: 18px;
    transition: background 0.5s;
}



.submit-btn{
    background-color: var(--bgblue);
    color: #FFFFFF;
    font-size: 23px;
    font-weight: 500;
    text-transform: uppercase;
    transition: background 1.5s;
    transition: color 0.5s;
    border: none;
    padding: 12px;
    border-radius: 16px;
}

.submit-btn:hover{
    background-color: var(--bgorange);
    color: var(--bgblack);
    font-weight: 500;
}


.close-modal-container{
    width: 100%;
    display: flex;
    justify-content: end;
}

.active{
    scale: 1;
}

.overlay{
    position: fixed;
    background-color: #ffffff99;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0;
    pointer-events: none;
    transition: 0.5s ease-in-out;
}

.overlayactive{
    opacity: 1;
    pointer-events: initial;
}



/* --------------------------------------------- Company Supply ------------------------------------------- */

.company-supply {
	align-items: center;
	display: flex;
	justify-content: center;
    margin-top: 3rem;
}


@keyframes scroll {
	0% { transform: translateX(0); }
	100% { transform: translateX(calc(-250px * 2))}
}


.slider {
	background: white;
	box-shadow: 0px 0px 5px 6px #00000020;
	height: 82px;
	margin: auto;
	overflow:hidden;
	position: relative;
	width: 100%;
    display: flex;
    align-items: center;
	
	&::before,
	&::after {
		background: linear-gradient(to right,  #ffffff 0%,#ffffff00 50%);
		content: "";
		height: 150px;
		position: absolute;
		width: 250px;
		z-index: 2;
	}
	
	&::after {
		right: 0;
		top: 0;
		transform: rotateZ(180deg);
	}

	&::before {
		left: 0;
		top: 0;
	}
	
	.slide-track {
		animation: scroll 6s linear infinite;
		display: flex;
		width: calc(250 * 8);
        align-items: center;
	}
	
	.slide {
		height: 60px;
		width: 100px;
        margin-left: 100px;
	}
}

/* ---------------------------------------- Product Slider ------------------------------------------------ */

.product-container{
    display: flex;
    flex-direction: column;
    justify-content: 30px;
    align-items: center;
    width: 100%;
    margin: 0 auto;
}

.product-heading{
    font-size: 50px;
    font-weight: 400;
    color: var(--bgblack);
    font-family: 'League Gothic';
    letter-spacing: 2px;
    text-align: center;
    margin-top: 60px;
}

.product-section{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 40px;
    margin-top: 40px;
}

.card-block{
    position: relative;
    overflow: hidden;
    background-color: var(--bglightblue);
    padding: 1rem;
    width: 28%;
    border-top-left-radius: 32px;
    border-bottom-right-radius: 32px;
    
}

.product-image-container{
    width: 100%;
    max-height: 350px;
    min-height: 320px;
    background-color: #FFFFFF;
    border-radius: 16px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.product-card-image{
    width: 100%;
    height: 100%;
    padding: 15px 15px;
    max-height: 300px;
    min-width: 170px;
    margin-bottom: 20px;
}

.card-data{
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 300px;
    background-color: #f9fcff;
    padding: 10px 15px;
    box-shadow: 5px 4px 5px #0000003f;
    border-radius: 16px;
    position: absolute;
    bottom: -190px;
    left: 0;
    right: 0;
    margin-inline: auto;
    /* opacity: 0; */
    transition: opacity 1s 1s;
}
.product-name{
    font-size: 20px;
    font-weight: 400;
    color: var(--bgblue);
}

.product-description{
    font-size: 14px;
    font-weight: 300;
    color: var(--bgblue);
}

.explore-btn{
    width: fit-content;
    background-color: transparent;
    text-decoration: none;
    color: var(--bgblue);
    padding: 0.3rem 0.8rem;
    border: 0.5px solid var(--bgblue);
    border-radius: 1rem;
    cursor: pointer;
    font-size: 14px;
}

.explore-btn:hover{
    transition: background 1.5s;
    background-color: var(--bgorange);
}


.card-block:hover .card-data{
    animation: show-data 1s forwards;
    opacity: 1;
    transition: opacity 0.3s;
}

.card-block:hover{
    animation: remove-overflow 2s forwards;
}

.card-block:not(:hover) .card-data{
    animation: remove-data 1s forwards;
}

.card-block:not(:hover){
    animation: show-overflow 2s forwards;
}


@keyframes show-data{
    50%{
        transform: translateY(-180px);
    }

    100%{
        transform: translateY(-160px);
    }
}

@keyframes remove-overflow{
    to{
        overflow: initial;
    }
}

@keyframes remove-data{
    0%{
        transform: translateY(-160px);
    }
    50%{
        transform: translateY(-180px);
    }
    100%{
        transform: translateY(10px);
    }
}

@keyframes show-overflow{
    0%{
        overflow: initial;
        pointer-events: none;
    }
    50%{
        overflow: hidden;
    }
}


/* ------------------------------------------- About Us --------------------------------------------------- */

.about-us-container{
    width: 90%;
    margin: 0 auto;

}

.about-section{
    display: flex;
    flex-direction: column;
    gap: 30px;
    justify-content: center;
    align-items: center;
    margin: 80px;
}

.about-heading{
    font-size: 50px;
    font-weight: 400;
    color: var(--bgblack);
    font-family: 'League Gothic';
    letter-spacing: 2px;
 
}

.about-description{
    text-align: center;
    width: 80%;
    font-size: 18px;
    background-color: #FFEED9;
    color: var(--bgblack);
    padding: 30px;
    border-bottom-left-radius: 32px;
    border-top-right-radius: 32px;

}

/* ------------------------------------------ Factory ----------------------------------------------------- */

.factory-exhibition-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    width: 100%;
}

.factory-section{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: end;
    gap: 70px;
}

.factory-text{
    width: 35%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.factory-heading{
    font-size: 40px;
    font-weight: 300;
    color: #212425CC;
    font-family: 'League Gothic';
    letter-spacing: 2px;
}

.factory-description{
    font-size: 18px;
    text-align: center;
}

.factory-video{
    width: 40%;
    height: 100%;
}

.factory-video video{
    object-fit: fill;
    width: 100%;
    height: 250px;
    border-bottom-left-radius: 32px;
    border-top-right-radius: 32px;
}


/* ---------------- */

.exhibition-section{
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.policy-heading{
    font-size: 40px;
    font-weight: 300;
    color: #212425CC;
    font-family: 'League Gothic';
    letter-spacing: 2px;
    text-align: center;
}

.about-aim{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    gap: 10px;
}

.our-quality{
    width: 49%;
    padding: 2rem 3rem;
    background-color: #f5f5f5;
}

.quality-heading{
    font-size: 22px;
    font-weight: 400;
    letter-spacing: 6px;
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 2px solid var(--bgblack);
    color: var(--bgblack);
}

.quality-desc{
    font-size: 19px;
    color: var(--bgblack);
    text-align: center;
}

/* ---------------------------------------------- Exhibition -------------------------------------------- */

.exhibition-cotainer{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    flex-direction: column;
    margin: 0 auto;
}


.exhibition-image {
  width: 90%;
  height: 500px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 30px 10px;
  font-family: 'DM Sans', sans-serif;
}

input[type=radio] {
  display: none;
}

.card {
  position: absolute;
  width: 90%;
  height: 100%;
  left: 0;
  right: 0;
  margin: auto;
  transition: transform .4s ease;
  cursor: pointer;
}

.cards {
  position: relative;
  width: 100%;
  height: 100%;
  margin-bottom: 20px;
}

.image-carousel-container {
  width: 100%;
  max-width: 800px;
  max-height: 600px;
  height: 100%;
  transform-style: preserve-3d;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.exhibition-carousel-image {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  object-fit: cover;
} 

#item-1:checked ~ .cards #song-3, #item-2:checked ~ .cards #song-1, #item-3:checked ~ .cards #song-2 {
  transform: translatex(-40%) scale(.8);
  opacity: .4;
  z-index: 0;
}

#item-1:checked ~ .cards #song-2, #item-2:checked ~ .cards #song-3, #item-3:checked ~ .cards #song-1 {
  transform: translatex(40%) scale(.8);
  opacity: .4;
  z-index: 0;
}

#item-1:checked ~ .cards #song-1, #item-2:checked ~ .cards #song-2, #item-3:checked ~ .cards #song-3 {
  transform: translatex(0) scale(1);
  opacity: 1;
  z-index: 1;
  

  .exhibition-carousel-image{
    box-shadow: 0px 0px 5px 0px rgba(81, 81, 81, 0.47);
  }
}

.exhibition-gallary{
    font-size: 20px;
}

.exhibition-gallary a{
    text-decoration: none;
    color: #FFFFFF;
}

/* --------------------------------------------- Our Team ----------------------------------------------- */


.team-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    margin-top: 5rem;
    margin-bottom: 3rem;
}

.team-heading{
    font-size: 3.5rem;
    font-weight: 400;
    color: var(--bgblack);
    font-family: 'League Gothic';
    letter-spacing: 2px;
}

.team-member-blocks{
    display: flex;
    justify-content: center;
    align-items: start;
    gap: 1rem;
    text-align: center;
}

.t-m-block{
    width: 19%;
    border-bottom-left-radius: 16px;
}

.t-m-block img{
    width: 100%;
    height: 350px;
    border-bottom-left-radius: 16px;
    border-top-right-radius: 16px;
}

.member-name{
    font-size: 20px;
    font-weight: 400;
    color: var(--bgblack);
}

.member-role{
    font-size: 16px;
    font-weight: 300;
    color: var(--bgblack);
}


/* --------------------------------------------- Footer ------------------------------------------------- */


.footer-container{
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: var(--bglightblue);
    padding: 40px 60px;
    gap: 4rem;
    border-top-left-radius: 32px;
    border-top-right-radius: 32px;
    color: var(--bgblack);
}

.footer-info{
    display: flex;
    justify-content: start;
    gap: 5rem;
}

.footer-symbol img{
    width: 320px;
    height: 143px;
}

.quick-links{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 15px;
}

.link-head{
    font-size: 24px;
    font-weight: 500;
}

.link-list{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 18px;
}

.link-list a{
    text-decoration: none;
    color: var(--bgblack);
}

.contact-us{
    display: flex;
    flex-direction: column;
    gap: 2rem;
    justify-content: start;
    align-items: start;
    font-size: 24px;
}

.mobile-no, .email-id{
    display: flex;
    flex-direction: row;
}

.mobile-no span{
    font-weight: 500;
}

.email-id span{
    font-weight: 500;
}

.footer-address{
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    background-color: #FFFFFF;
    border-radius: 32px;
    padding: 20px 30px;
    text-align: center;
}

.add-head{
    font-size: 24px;
    font-weight: 500;
}

.address-desc a{
    font-size: 18px;
    font-weight: 400;
    text-decoration: none;
    color: var(--bgblack);
}

.address{
    width: 33%;
    cursor: pointer;
}


/* --------------------------------------- Screen(800px - 1200px) ----------------------------------------- */


@media(max-width:1199px){
    .hero-section{
        flex-direction: column;
        width: 100%;
        gap: 50px;
        align-items: center;
    }
    
    .hero-text{
        width: 100%;
        text-align: center;
        align-items: center;
    }

    .image{
        width: 100%;
        justify-content: center;
        
    }


    .card-block{
        width: 320px;
    }

    .exca-image{
        width: 45%;
        height: 300px;
    }

    .product-heading{
        font-size: 50px;
    }

    .product-image-container{
        width: 100%;
        height: 270px;
    }

    .product-card-image{
        height: 100%;
        width: 100%;
    }

    .about-description{
        width: 100%;
    }

    .about-heading{
        font-size: 50px;
    }

    .factory-exhibition-section{
        gap: 10px;
    }

    .factory-section{
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }

    .factory-text{
        width: 90%;
    }

    .factory-video{
        width: 70%;
        
    }

    .factory-video video{
        height: 350px;
    }

    .about-aim{
        flex-direction: column;
    }

    .our-quality{
        width: 100%;
    }

    .exhibition-image{
        width: 70%;
    }
    
    .team-heading{
        font-size: 50px;
    }

    .team-member-blocks{
        flex-wrap: wrap;
    }

    .t-m-block{
        width: 220px;
    }

    .t-m-block img{
        height: 300px;
    }

    .footer-symbol img{
        width: 150px;
        height: 70px;
    }

    .footer-info{
        gap: 50px;
    }

    .link-head{
        font-size: 20px;
    }

    .link-list{
        font-size: 16px;
    }

    .mobile-no span, .email-id span{
        font-size: 20px;
    }

    .mobile-no, .email-id{
        font-size: 16px;
        flex-direction: column;
    }

    .footer-address{
        flex-direction: column;
    }

    .add-head{
        font-size: 20px;
    }

    .address-desc a{
        font-size: 16px;
    }

    .address{
        width: 100%;
    }

    .modal-container{
        width: 500px;
    }

    .modal-head{
        font-size: 50px;
    }

    #form input{
        padding: 12px 10px;
        border-radius: 14px;
        font-size: 16px;
    }

}




/* ------------------------------------------ Screen(350px - 800px) --------------------------------------- */


@media(max-width:799px){

    .dropdown-nav-items{
        display: relative;
        display: inline-block;
    }

    .drop-btn {
        background-color: transparent;
        border: none;
    }

    .dropdown-content {
        display: none;
        position: absolute;
        right: 20px;
        top: 20px;
        background-color: #eeeeee;
        min-width: 160px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
    }

    .close-btn{
        padding: 10px 15px;
        text-align: end;
    }

    .dropdown-content a {
        color: var(--bgblue);
        padding: 12px 16px;
        text-decoration: none;
        display: block;
    }

    .dropdown-content div a:hover {background-color: var(--bgorange); color: #FFFFFF;}

    .nav-items{
        display: none;
    }

    .head-text h1{
        font-size: 40px;
    }

    .typewriting-text{
        font-size: 40px;
    }

    .subhead-text h2{
        font-size: 30px;
    }

    .btn-hero{
        font-size: 17px;
    }

    .image{
        width: 100%;
    }

    .exca-image{
        width: 140px;
        height: 140px;
    }

    .company-supply{
        display: none;
    }

    .product-heading{
        font-size: 40px;
    }

    .about-description{
        width: 320px;
    }

    .factory-heading{
        text-align: center;
    }

    .factory-text{
        width: 320px;
    }

    .factory-video{
        width: 320px;
    }

    .factory-video video{
        height: 200px;
    } 

    .quality-desc{
        height: 350px;
        overflow-y: scroll;
    }

    .about-aim{
        width: 320px;
    }

    .our-quality{
        width: 320px;
        padding: 30px 20px;
    }

    .exhibition-image{
        height: 300px;
    }

    .footer-info{
        width: 100%;
    }

    .footer-address{
        width: 100%;
    }

    .footer-container{
        padding: 30px 20px;
    }

    .footer-symbol img{
        width: 130px;
        height: 65px;  
    }

    .footer-info{
        flex-wrap: wrap;
    }

    .quick-links{
        align-items: center;
    }

    .about-heading{
        font-size: 40px;
    }

    .factory-heading, .exhibition-heading{
        font-size: 35px;
    }

    .modal-container{
        width: 320px;
    }

    .modal-head{
        font-size: 35px;
    }

    #form input{
        padding: 10px 8px;
        border-radius: 12px;
        font-size: 14px;
    }
}